org.appng.api.model

## Interface Property

- All Known Implementing Classes:
    PropertyImpl, SimpleProperty

      public interface Property

  A `Property` is a single configuration value, used to configure the appNG platform, a `Site` or a `Application`.
  Author:
    Matthias Müller
  See Also:
    `Properties`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `Property.Type` The type of a `Property`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getBlob()` If this `Property` contains BLOB data, this data is being returned.
    `Boolean` | `getBoolean()` Returns the `Boolean`-value of this `Property`: `Boolean.TRUE` if `getString()` returns `true` or `1` `Boolean.FALSE` if the `getString()` returns a non-null `String` `null` otherwise
    `String` | `getClob()` If this `Property` contains CLOB data, this data is being returned.
    `String` | `getDefaultString()` Returns the default `String`-value of this `Property`.
    `String` | `getDescription()` Returns the description of this `Property`.
    `Double` | `getDouble()` Returns the `Double`-value of this `Property` using `Double.parseDouble(String)`, if `getString()` returns a non-null `String`, `null` otherwise.
    `Float` | `getFloat()` Returns the `Float`-value of this `Property` using `Float.parseFloat(String)`, if `getString()` returns a non-null `String`, `null` otherwise.
    `Integer` | `getInteger()` Returns the `Integer`-value of this `Property` using `Integer.parseInt(String)`, if `getString()` returns a non-null `String`, `null` otherwise.
    `String` | `getName()` Returns the name of this `Property`, as used in `Properties.getXXX(String)`.
    `String` | `getString()` Returns the `String`-value of this `Property`
    `default Property.Type` | `getType()` Returns the type of this property
    `boolean` | `isMandatory()` Deprecated.

- - ### Method Detail

    - #### getType

          default Property.Type getType()

      Returns the type of this property
      Returns:
        the type

    - #### getString

          String getString()

      Returns the `String`-value of this `Property`
      Returns:
        the `String`-value
      See Also:
        `Properties.getString(String)`, `Properties.getString(String, String)`

    - #### getBoolean

          Boolean getBoolean()

      Returns the `Boolean`-value of this `Property`:
    - - `Boolean.TRUE` if `getString()` returns `true` or `1`
      - `Boolean.FALSE` if the `getString()` returns a non-null `String`
      - `null` otherwise

Returns:
  the `Boolean`-value (may be `null`)
See Also:
  `Properties.getBoolean(String)`, `Properties.getBoolean(String, Boolean)`

- #### getInteger

      Integer getInteger()

  Returns the `Integer`-value of this `Property` using `Integer.parseInt(String)`, if `getString()` returns a non-null `String`, `null` otherwise.
  Returns:
    the `Integer`-value (may be `null`)
  See Also:
    `Properties.getInteger(String)`, `Properties.getInteger(String, Integer)`

- #### getFloat

      Float getFloat()

  Returns the `Float`-value of this `Property` using `Float.parseFloat(String)`, if `getString()` returns a non-null `String`, `null` otherwise.
  Returns:
    the `Float`-value (may be `null`)
  See Also:
    `Properties.getFloat(String)`, `Properties.getFloat(String, Float)`

- #### getDouble

      Double getDouble()

  Returns the `Double`-value of this `Property` using `Double.parseDouble(String)`, if `getString()` returns a non-null `String`, `null` otherwise.
  Returns:
    the `Double`-value (may be `null`)
  See Also:
    `Properties.getDouble(String)`, `Properties.getDouble(String, Double)`

- #### getBlob

      byte[] getBlob()

  If this `Property` contains BLOB data, this data is being returned.
  Returns:
    the BLOB data, (may be `null`)
  See Also:
    `Properties.getBlob(String)`

- #### getClob

      String getClob()

  If this `Property` contains CLOB data, this data is being returned.
  Returns:
    the CLOB data, (may be `null`)
  See Also:
    `Properties.getClob(String)`, `Properties.getClob(String, String)`

- #### getName

      String getName()

  Returns the name of this `Property`, as used in `Properties.getXXX(String)`.
  Returns:
    the name

- #### isMandatory

      @Deprecated
      boolean isMandatory()

  Deprecated.

- #### getDefaultString

      String getDefaultString()

  Returns the default `String`-value of this `Property`.
  Returns:
    the default `String`-value

- #### getDescription

      String getDescription()

  Returns the description of this `Property`.
  Returns:
    the description

Copyright © 2011–2023 aiticon GmbH. All rights reserved.